InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::IOConfigOutputWriteResponse Struct Reference
Inheritance diagram for inertia::IOConfigOutputWriteResponse:
[legend]
Collaboration diagram for inertia::IOConfigOutputWriteResponse:
[legend]

## Public Member Functions
| IOConfigOutputWriteResponse (const uint8_t *packet, const unsigned max_size)
| IOConfigOutputWriteResponse (std::wstring const &argString)
void | GetBytes (std::vector< uint8_t > &out) const override
const std::wstring | ToString () const override
bool | IsResponse () const override
Public Member Functions inherited from inertia::IOConfigCommand
InertiaCommandGroups | GetGroup () const override

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()
Static Public Member Functions inherited from inertia::IOConfigCommand
static InertiaCommandPtr | Parse (const uint8_t *in, unsigned const packetSize)
static InertiaCommandPtr | Parse (std::wstring const &argString)
static const po::options_description | GetOptionDescription ()

## Public Attributes
bool | success
Public Attributes inherited from inertia::IOConfigSpecificCommand
uint8_t | ioID
IOModeID | modeID
IOMessageID | messageID

## Additional Inherited Members
Protected Member Functions inherited from inertia::IOConfigSpecificCommand
| IOConfigSpecificCommand (uint8_t const &_ioID, IOModeID const &_modeID, IOMessageID const &_messageID)
| IOConfigSpecificCommand (const uint8_t *packet, const unsigned max_size)
| IOConfigSpecificCommand (std::wstring const &argString)
void | GetBytes (std::vector< uint8_t > &out) const override
const std::wstring | ToString () const override
uint8_t | GetType () const override
Protected Member Functions inherited from inertia::IOConfigCommand
| IOConfigCommand (const uint8_t *packet, const unsigned max_size)
| IOConfigCommand (std::wstring const &argString)
Protected Member Functions inherited from inertia::InertiaCommand
| InertiaCommand (const uint8_t *packet, const unsigned max_size)
| InertiaCommand (std::wstring const &argString)
| InertiaCommand (InertiaCommand const &)=default
InertiaCommand & | operator= (InertiaCommand const &)=default
Static Protected Member Functions inherited from inertia::IOConfigSpecificCommand
static const po::options_description | GetOptionDescription ()

## Member Function Documentation

## ◆ GetBytes()

void inertia::IOConfigOutputWriteResponse::GetBytes | ( | std::vector< uint8_t > & | out | ) | const
| override virtual

Implements inertia::InertiaCommand.

## ◆ IsResponse()

bool inertia::IOConfigOutputWriteResponse::IsResponse | ( |  | ) | const
| override virtual

Implements inertia::InertiaCommand.

## ◆ ToString()

const std::wstring inertia::IOConfigOutputWriteResponse::ToString | ( |  | ) | const
| override virtual

Implements inertia::InertiaCommand.

The documentation for this struct was generated from the following file:

- IOConfigCommands.h